Skip to main content

PATCH /smart-sell/pause

Pause one or more Smart Sell bots. Paused bots keep their state and funds; they just stop reacting to incoming buys until resumed.

The bot keeps monitoring the pool but skips all sell triggers until resumed.

Use case​

Take bots offline during illiquid periods or while reconfiguring, then resume.

Body​

FieldTypeRequiredDescription
aBotIdsstring[]yesNon-empty array of Smart Sell ObjectIds.

Response 200​

{ "message": "2 bot(s) paused" }

Errors​

StatusMeaning
400No active, non-paused bots matched.

Example​

curl -X PATCH "$BASE_URL/smart-sell/pause" \
-H "Authorization: Bearer $ACCESS" \
-H "x-user-id: $USER_ID" \
-H "Content-Type: application/json" \
-d '{ "aBotIds": ["<id1>", "<id2>"] }'